Skip to main content
GET
/
customers
List customers
curl --request GET \
  --url https://api.useproxy.ai/v1/customers \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "type": "consumer",
      "status": "pending",
      "email": "<string>",
      "phone": "<string>",
      "name": {
        "first": "<string>",
        "last": "<string>"
      },
      "policy": {
        "requireIntent": true,
        "requireAttestation": true,
        "requireApproval": true,
        "autoApproveBelow": 123,
        "attestationWindowMinutes": 123,
        "cooldownMinutes": 123,
        "ttlMinutes": 123,
        "ttlDays": 123,
        "limits": {
          "perAuth": 123,
          "perDay": 123,
          "perMonth": 123
        },
        "allowedMccs": [
          "<string>"
        ],
        "blockedMccs": [
          "<string>"
        ],
        "allowedMerchants": [
          "<string>"
        ],
        "lockToFirstMerchant": true
      },
      "metadata": {},
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "nextCursor": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header as Bearer <api_key>.

Query Parameters

limit
integer
default:50

Maximum number of results to return (default: 50)

Required range: 1 <= x <= 100
cursor
string

Pagination cursor for fetching the next page

Response

List of customers

data
object[]
required
nextCursor
string | null

Cursor for the next page of results